Dirac Video Codec

# Dirac - A Video Codec

Created by the British Broadcasting Corporation.

# dirac::IntraDCBandVLC Class Reference

A class specially for coding the DC subband of Intra frames. More...

`#include <band_vlc.h>`

Inheritance diagram for dirac::IntraDCBandVLC:
[legend]
Collaboration diagram for dirac::IntraDCBandVLC:
[legend]

List of all members.

## Public Member Functions

- IntraDCBandVLC (SubbandByteIO *subband_byteio, const SubbandList &band_list)
    Constructor.

## Private Member Functions

- void DoWorkCode (CoeffArray &in_data)
- void DoWorkDecode (CoeffArray &out_data)
- void CodeCoeffBlock (const CodeBlock &code_block, CoeffArray &in_data)
- void DecodeCoeffBlock (const CodeBlock &code_block, CoeffArray &out_data)
- void DCPrediction (const CodeBlock &code_block, CoeffArray &out_data)
- IntraDCBandVLC (const IntraDCBandVLC &cpy)
    Private, bodyless copy constructor: class should not be copied.
- IntraDCBandVLC & operator= (const IntraDCBandVLC &rhs)
    Private, bodyless copy operator=: class should not be assigned.
- CoeffType GetPrediction (const CoeffArray &data, const int xpos, const int ypos) const
    Prediction of a DC value from its previously coded neighbours.

## Detailed Description

A class specially for coding the DC subband of Intra frames, using intra-band prediction of coefficients.

## Constructor & Destructor Documentation

dirac::IntraDCBandVLC::IntraDCBandVLC | ( | SubbandByteIO * | subband_byteio,
|  | const SubbandList & | band_list |
| ) |  |  | `[inline]`

Creates a IntraDCBandVLC object to encode subband data, based on parameters

Parameters:

  | subband_byteio | input/output for the encoded bits
  | band_list | the set of all the subbands

dirac::IntraDCBandVLC::IntraDCBandVLC | ( | const IntraDCBandVLC & | cpy | ) | `[private]`

## Member Function Documentation

void dirac::IntraDCBandVLC::DoWorkCode | ( | CoeffArray & | in_data | ) | `[private, virtual]`

Reimplemented from dirac::BandVLC.

void dirac::IntraDCBandVLC::DoWorkDecode | ( | CoeffArray & | out_data | ) | `[private, virtual]`

Reimplemented from dirac::BandVLC.

void dirac::IntraDCBandVLC::CodeCoeffBlock | ( | const CodeBlock & | code_block,
|  | CoeffArray & | in_data |
| ) |  |  | `[private, virtual]`

Reimplemented from dirac::BandVLC.

void dirac::IntraDCBandVLC::DecodeCoeffBlock | ( | const CodeBlock & | code_block,
|  | CoeffArray & | out_data |
| ) |  |  | `[private, virtual]`

Reimplemented from dirac::BandVLC.

void dirac::IntraDCBandVLC::DCPrediction | ( | const CodeBlock & | code_block,
|  | CoeffArray & | out_data |
| ) |  |  | `[private]`

IntraDCBandVLC& dirac::IntraDCBandVLC::operator= | ( | const IntraDCBandVLC & | rhs | ) | `[private]`

CoeffType dirac::IntraDCBandVLC::GetPrediction | ( | const CoeffArray & | data,
|  | const int | xpos,
|  | const int | ypos |
| ) |  |  | const`[private]`

The documentation for this class was generated from the following file:

- band_vlc.h

© 2004 British Broadcasting Corporation. Dirac code licensed under the Mozilla Public License (MPL) Version 1.1.
HTML documentation generated by Dimitri van Heesch's excellent Doxygen tool.